local original =
{
    at_exit = IngameWaitingForPlayersState.at_exit
}

function IngameWaitingForPlayersState:at_exit(...)
    original.at_exit(self, ...)
    local panels = managers.hud._teammate_panels or {}
    local panel = panels[HUDManager.PLAYER_PANEL]
    if panel._main_player then
        if panel.MainPlayerOverride then
            panel:MainPlayerOverride()
        end
    end
    if self:check_is_dropin() then
        for _, _panel in pairs(panels) do
            if _panel.ReloadSteamAvatar then
                _panel:ReloadSteamAvatar()
            end
        end
    end
end